Skip to main content
GET
/
v3
/
10dlc
/
brands
List 10DLC Brands
curl --request GET \
  --url https://api.wavix.com/v3/10dlc/brands \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "brand_id": "BM20QP9",
      "city": "Miami",
      "company_name": "Company legal name",
      "country": "US",
      "created_at": "2024-07-24T08:10:49",
      "dba_name": "New Brand",
      "ein_taxid": "999999999",
      "ein_taxid_country": "US",
      "email": "support@brand.com",
      "entity_type": "PRIVATE_PROFIT",
      "feedback": null,
      "first_name": "John",
      "last_name": "Dow",
      "mock": false,
      "phone_number": "12123450099",
      "state_or_province": "FL",
      "status": "VERIFIED",
      "stock_exchange": null,
      "stock_symbol": null,
      "street_address": "10, Street Name",
      "updated_at": "2024-07-24T08:29:09",
      "vertical": "HEALTHCARE",
      "website": "https://brand.com",
      "zip": "12345"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total": 1,
    "total_pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

dba_name
string

Brand name.

Example:

"Brand"

company_name
string

Company legal name.

Example:

"Company"

entity_type
string

Business entity type.

Example:

"PRIVATE_PROFIT"

status
string

Brand identity verification status.

Example:

"VERIFIED"

country
string

Brand registration country.

Example:

"US"

show_deleted
boolean
default:false

Indicates whether to include deleted brands.

Example:

false

ein_taxid
string

EIN/Tax ID.

Example:

"999999999"

mock
boolean
default:false

Indicates whether to include mock brands only.

Example:

false

created_before
string

Brand creation end date in YYYY-MM-DD format.

Example:

"2024-08-22"

created_after
string

Brand creation start date in YYYY-MM-DD format.

Example:

"2024-08-22"

page
integer<int32>

Page number.

Example:

1

per_page
integer<int32>

Number of records per page.

Example:

25

Response

List of 10DLC brands.

A list of 10DLC Brands

items
TenDlcBrand · object[]
required

A paginated list of 10DLC Brands matching the filter criteria

pagination
Pagination · object
required

Pagination details